HttpMessage::getRequestMethod
HttpMessage::getResponseCode
HttpMessage
PHP Manual

# HttpMessage::getRequestUrl

(PECL pecl_http >= 0.21.0)

HttpMessage::getRequestUrl — Get request URL

### Description

public string HttpMessage::getRequestUrl ( void )

Get the Request URL of the Message.

### Parameters

### Return Values

Returns the request URL as string on success, or `FALSE` if the message is not of type HttpMessage::`TYPE_REQUEST`.

HttpMessage::getRequestMethod
HttpMessage::getResponseCode
HttpMessage
PHP Manual